﻿.chatbotslider {
    box-shadow: 5px -15px 15px 5px rgb(0 0 0 / 30%);
}
 .chatbotslider .offcanvas-header {
        /*background: linear-gradient(to right, rgb(0, 52, 86), rgb(0, 52, 86)) !important;*/
        background: rgb(33 64 154) !important;
        color: #fff;
        padding: 0.75rem !important;
    }

.chatbotslider .offcanvas-title .offcanvas-title-img-bg {
    background: #fff;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    margin-right: 0.7rem;
    padding: 0.25rem;
    box-shadow: rgba(0, 0, 0, 0.145) 0px 0px 10px;
}


/************ Chat Message **************/
.chatbotscroll {
    display: flex;
    flex-direction: column-reverse;
    overflow-anchor: auto !important;
}
.chat-message {
    transform: translateZ(0);
}
.chat-message .chat-logo {
    flex: none;
    width: 25px;
    height: 25px;
    margin-right: 0.25rem;
    padding: 0.25rem;
    background: #fff;
    border-radius: 50%;
    border: 1px solid #dee2e6;
    -webkit-box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
}

.chat-message .message-content {
    align-items: center;
}

.chat-message p {
    margin: 0;
}


.chat-message .chatbotbg {
    float: left;
    background-color: #fff;
    padding: 0.25rem 0.5rem;
    border-radius: 0.25rem;
    border: 1px solid #dee2e6;
    -webkit-box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    position: relative;
}

.chat-message .chatbotbg:before {
    content: "";
    position: absolute;
    top: 4px;
    left: -10px;
    z-index: 1;
    border: solid 5px transparent;
    border-right-color: #FFF;
}

.chat-message .chatbotbgcl {
    background-color: #e3f2fd;
    padding: 0.25rem 0.5rem;
    border-radius: 0.25rem;
    border: 1px solid #dee2e6;
    -webkit-box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    position: relative;
}

.chat-message .chatbotbgcl:after {
    content: "";
    position: absolute;
    top: 4px;
    right: -10px;
    z-index: 1;
    border: solid 5px transparent;
    border-left-color: #e3f2fd;
}
.chatbotslider #svgProfile {
    filter: drop-shadow(0 0.125rem 0.25rem rgb(0 0 0 / 0.075));
    border-radius: 50%;
    border: 1px solid #dee2e6;
}

.tag {
    display: inline-block;
    width: 18px; /* Reduced width */
    height: 18px; /* Reduced height */
    border-radius: 50%;
    background-color: lightgray;
    text-align: center;
    line-height: 18px; /* Match the height to vertically center the text */
    margin: 4px;
    transition: background-color 0.3s;
    text-decoration: none;
    color: black;
}

.tag:hover {
    background-color: rgb(21, 106, 161);
    color: white;
}


/*********** Loading Indicator *************/

.chatbotslider .loading-indicator.show {
    display: flex !important;
    align-items: center;
    margin-top: 0.2rem;
}
.chatbotslider .loading-logo {
    flex: none;
    width: 25px;
    height: 25px;
    margin-right: 0.2rem;
    padding: 0.25rem;
    background: #fff;
    border-radius: 50%;
    border: 1px solid #dee2e6;
    -webkit-box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
}

.chatbotslider .svgViewProfile {
    width: 25px;
    height: 25px;
    margin-right: 0.2rem;
    margin-top: 0.2rem;
}
.chatbotslider .chat_profile_small_img {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    -webkit-box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
}

.chatbotslider .loading-dots {
    margin-top: 10px;
}

.chatbotslider .loading-dots span {
    display: inline-block;
    width: 10px;
    height: 10px;
    margin: 0 3px;
    background-color: #333;
    border-radius: 50%;
    animation: dot-flash 0.8s infinite alternate;
}

.chatbotslider .loading-dots span:nth-child(2) {
    animation-delay: 0.2s;
}

.chatbotslider .loading-dots span:nth-child(3) {
    animation-delay: 0.4s;
}


@keyframes dot-flash {
    to {
        opacity: 0.3;
        transform: translateY(-10px);
    }
}


/********** Sound Wave ********/
#soundWaveContainer {
    width: 50px;
    height: 25px;
    background-color: #0e1223;
    border-radius: 50px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    overflow: hidden;
    position: relative;
    cursor: pointer;
    margin-left: 0.25rem;
    margin-right: 0.25rem;
}

.bar {
    width: 2px;
    background-color: white;
    border-radius: 5px;
    animation: bounce 1s ease-in-out infinite alternate;
}

.bar:nth-child(1) {
    height: 20%;
    animation-delay: 0s;
}

.bar:nth-child(2) {
    height: 30%;
    animation-delay: 0.1s;
}

.bar:nth-child(3) {
    height: 40%;
    animation-delay: 0.2s;
}

.bar:nth-child(4) {
    height: 50%;
    animation-delay: 0.3s;
}

.bar:nth-child(5) {
    height: 60%;
    animation-delay: 0.4s;
}

.bar:nth-child(6) {
    height: 50%;
    animation-delay: 0.5s;
}

.bar:nth-child(7) {
    height: 40%;
    animation-delay: 0.6s;
}

.bar:nth-child(8) {
    height: 30%;
    animation-delay: 0.7s;
}

@keyframes bounce {
    0% {
        transform: scaleY(1);
    }

    50% {
        transform: scaleY(2);
    }

    100% {
        transform: scaleY(1);
    }
}

/*********** Offcanvas Footer ************/
.chatbotslider .offcanvas-footer {
    background: #f4f4f4;
    border-top: 1px solid #cccccc;
}

    .chatbotslider .offcanvas-footer .reset-link {
        /* border: 1px solid #ced4da;
    border-radius: 50%;
    padding: 6px 7px 4px 7px;
    margin-right: 0.25rem;
    background: #fff;*/
        border: 1px solid #ced4da;
        border-radius: 4px;
        padding: 5px 7px 2px 7px;
        margin-right: 0.25rem;
        background: #fff;
    }

.chatbotslider .offcanvas-footer .reset-link:hover {
    color: #000;
}

    .chatbotslider .offcanvas-footer .send-but {
        /* border: 1px solid #ced4da;
    border-radius: 50%;
    padding: 5px 7px 5px 7px;
    margin-right: 0.25rem;
    background: #fff;*/
        border: 1px solid #ced4da;
        border-radius: 4px;
        padding: 7px 7px 7px 7px;
        margin-right: 0.25rem;
        background: #fff;
    }

.chatbotslider .offcanvas-body {
    height: calc(100vh - 125px) !important;
    overflow: auto;
    background-color: #f4f4f4;
}
.align-items-start {
    -webkit-box-align: start !important;
    -ms-flex-align: start !important;
    align-items: flex-start !important;
}
.p-2 {
    padding: 0.5rem !important;
}
.m-0 {
    margin: 0 !important;
}
.ms-1 {
    margin-left: 0.25rem !important;
}
.my-2 {
    margin-top: 0.5rem !important;
    margin-bottom: 0.5rem !important;
}
.chatbotslider .form-control {
    height:33px !important;
}
.chatbotslider .form-control:focus {
    color: #333333;
}
.chatbotslider .form-control::placeholder {
    color: #333333;
}

.chatbotslider .btn-close {
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
    width: 1em;
    height: 1em;
    padding: 0.25em 0.25em;
    color: #000;
    background: transparent url('../Images/close-white.svg') center / 1em auto no-repeat;
    border: 0;
    border-radius: 0.25rem;
    opacity: 0.5;
}




/***********  ************/
/*

.message-input-container {
    display: flex;
    align-items: center;
    border: 1px solid #ced4da;
    border-radius: 5px;
    padding: 5px 10px;
}

.message-input-container input {
    border: none;
    outline: none;
    flex: 1;
}

.message-input-container button {
    background-color: transparent;
    border: none;
    margin-left: 5px;
}*/


/*.container .message-body {
    float: left;
    width: 300px;
    height: auto;
    border: 1px solid #CCC;
    background-color: #ffffff;
    border: 1px solid #000000;
    padding: 6px 8px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -o-border-radius: 5px;
    border-radius: 5px;
}*/

/*.bg-gray {
    background-color: lightgray !important;
}*/
/* Tooltip container */
/*.custom-tooltip {
    position: absolute;
    background-color: white;*/ /* Semi-transparent dark background */
    /*color: black;*/ /* White text */
    /*padding: 8px 12px;
    border-radius: 4px;
    font-size: 14px;
    z-index: 999999999999;
    max-width: 400px;*/ /* Set max-width to allow wrapping */
    /*white-space: normal;*/ /* Allow text to wrap */
    /*opacity: 0;*/ /* Initially hidden */
    /*transition: opacity 0.2s ease-in-out;*/ /* Fade-in/out effect */
    /*word-wrap: break-word;*/ /* Ensure long words break to fit within the container */
/*}*/

/* Tooltip arrow */
/*.custom-tooltip::after {
    content: '';
    position: absolute;
    top: 50%;
    right: -5px;*/ /* Position the arrow on the left side of the tooltip */
    /*transform: translateY(-50%);
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent transparent rgba(0, 0, 0, 0.75);*/ /* Arrow color matching the tooltip */
/*}

.responsechat table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 20px;
}

.responsechat th, td {
    border: 1px solid #dddddd;
    padding: 8px;
    text-align: left;
}

.responsechat th {
    background-color: #f2f2f2;
}

.chatsidebar {
    overflow-y: hidden !important;
    border: 1px solid #333;
    box-shadow: 0 0 10px rgb(16 15 15 / 10%);
}

.info-text {
    font-size: 12px;
    margin-top: 10px;
}
.toggle {
    position: relative;
    display: inline-block;
    width: 44px;
    height: 23px;
}*/

/* Hide the checkbox input */
/*.toggle input {
    display: none;
}*/

/* Describe slider's look and position. */
/*.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: gray;
    transition: .4s;
    border-radius: 34px;
}*/

/* Describe the white ball's location 
		and appearance in the slider. */
/*.slider:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 15px;
    left: 1px;
    bottom: 4px;
    background-color: white;
    transition: .4s;
    border-radius: 50%;
}*/

/* Modify the slider's background color to 
			green once the checkbox has been selected. */
/*input:checked + .slider {
    background-color: green;
}*/

/* When the checkbox is checked, shift the 
		white ball towards the right within the slider. */
/*input:checked + .slider:before {
    transform: translateX(26px);
}
.send-button {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #007bff;
    border: none;
    color: white;
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.send-button i {
    margin-left: 10px;
    transition: color 0.3s ease;
}

.send-button:hover {
    background-color: #0056b3;
}

.send-button:hover i {
    color: #ffeb3b;
}*/

/* WebKit browsers */
/*#dvbody::-webkit-scrollbar {
    width: 12px;*/ /* Width of the scrollbar */
/*}

#dvbody::-webkit-scrollbar-track {
    background: #f1f1f1;*/ /* Background of the scrollbar track */
/*}

#dvbody::-webkit-scrollbar-thumb {
    background: #888;*/ /* Color of the scrollbar thumb */
    /*border-radius: 6px;*/ /* Rounded corners for the scrollbar thumb */
/*}

#dvbody::-webkit-scrollbar-thumb:hover {
    background: #555;*/ /* Color of the scrollbar thumb when hovered */
/*}*/

/* Firefox */
/*#dvbody {
    scrollbar-width: thin;*/ /* Thin scrollbar */
    /*scrollbar-color: #888 #f1f1f1;*/ /* Thumb and track color */
/*}

#dvbody:hover {
    scrollbar-color: #555 #f1f1f1;*/ /* Thumb color when hovered */
/*}


.containerpopup {
    background-color: #fff;
    padding: 20px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    width: 450px;
    text-align: center;
    position: fixed;
    bottom: 38px;
    right: 8px;
    z-index: 9999999;
}

.pagecard {
    border-radius: 62%;
    height: 20px;
    width: 17px;
}

.pagespan {
    background: #e3dada;
    border: 0.1px solid;
}

.success-header {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    margin-bottom: 15px;
}

.document-info {
    font-size: 1.5em;
    color: #333;
    margin: 10px 0;
}

.document-id {
    color: #555;
    margin-bottom: 20px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
    cursor: pointer;
    height: 2rem;
}

.success-icon {
    width: 60px;
    height: 60px;
    border: 2px solid #28a745;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: -2.5rem;
}

.success-icon i {
    color: #28a745;
    font-size: 45px;
}

.floating-icon {
    position: fixed;
    bottom: 15rem;
    right: 2px;
    transform: translateY(50%);
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    z-index: 9999999;
}

.error-icon {
    width: 60px;
    height: 60px;
    border: 2px solid #dc3545;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    margin-left: -2.5rem;
}

.error-icon i {
    color: #dc3545;
    font-size: 45px;
}

.progress-circle {
    width: 60px;
    height: 60px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: -2.5rem;
}

.progress-circle svg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.progress-circle circle {
    fill: none;
    stroke-width: 8;
}

.progress-circle .bg-circle {
    stroke: #e6e6e6;
}

.progress-circle .progress-bar {
    stroke: #000;
    stroke-linecap: round;
    transform: rotate(-90deg);
    transform-origin: 50% 50%;
}

.progress-text {
    font-size: 14px;
    font-weight: bold;
}

.notification-badge {
    position: absolute;
    top: -6px;
    right: -3px;
    background-color: #dc3545;
    color: #fff;
    border-radius: 50%;
    width: 20px;
    height: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 12px;
    font-weight: bold;
}

.info-icon {
    width: 85px;
    height: 89px;*/
    /* border: 2px solid #28a745; */
    /*border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: -2.5rem;
}

.info-icon i {
    color: #17a2b8;
    font-size: 50px;
}*/
